/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: denm-pdu-descriptions */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.Libitsdenm_asn1 */
/* Created: Tue Jun 28 12:09:14 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -per -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-apache/oss6535gen/LibItsDenm_asn1.gen DENM-PDU-Descriptions.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;
import org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.*;

/**
 * Define the ASN1 Type EmergencyResponseType from ASN1 Module DENM_PDU_Descriptions.
 * @see Enumerated
 */

public final class EmergencyResponseType extends Enumerated {
    
    /**
     * The default constructor.
     */
    private EmergencyResponseType()
    {
	super(cFirstNumber);
    }
    
    protected EmergencyResponseType(long value)
    {
	super(value);
    }
    
    // Named list definitions.
    public static final EmergencyResponseType none =
	new EmergencyResponseType(0);
    public static final EmergencyResponseType staticSafeguard =
	new EmergencyResponseType(1);
    public static final EmergencyResponseType movingSafeguard =
	new EmergencyResponseType(2);
    public static final EmergencyResponseType rightOfWay =
	new EmergencyResponseType(3);
    private final static EmergencyResponseType cNamedNumbers[] = {
	 none, 
	 staticSafeguard, 
	 movingSafeguard, 
	 rightOfWay
    };
    protected final static long cFirstNumber = 0;
    protected final static boolean cLinearNumbers = false;
    
    public Enumerated[] getNamedNumbers()
    {
	return cNamedNumbers;
    }
    
    public boolean hasLinearNumbers()
    {
	return cLinearNumbers;
    }
    
    public long getFirstNumber()
    {
	return cFirstNumber;
    }
    
    public static EmergencyResponseType valueOf(long value)
    {
	return (EmergencyResponseType)none.lookupValue(value);
    }
    
    /**
     * Initialize the type descriptor.
     */
    private static final EnumeratedInfo c_typeinfo = new EnumeratedInfo (
	new Tags (
	    new short[] {
		0x000a
	    }
	),
	new QName (
	    "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions",
	    "EmergencyResponseType"
	),
	new QName (
	    "DENM-PDU-Descriptions",
	    "EmergencyResponseType"
	),
	12318,
	null,
	new MemberList (
	    new MemberListElement[] {
		new MemberListElement (
		    "none",
		    0
		),
		new MemberListElement (
		    "staticSafeguard",
		    1
		),
		new MemberListElement (
		    "movingSafeguard",
		    2
		),
		new MemberListElement (
		    "rightOfWay",
		    3
		)
	    }
	),
	0,
	none
    );
    
    /**
     * Get the type descriptor (TypeInfo) of 'this' EmergencyResponseType object.
     */
    public TypeInfo getTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Get the static type descriptor (TypeInfo) of 'this' EmergencyResponseType object.
     */
    public static TypeInfo getStaticTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Methods for "unknownEnumerator"
     */
    private static final EmergencyResponseType cUnknownEnumerator = 
	new EmergencyResponseType(-1);
    
    public boolean isUnknownEnumerator()
    {
	return this == cUnknownEnumerator;
    }
    
    public Enumerated getUnknownEnumerator()
    {
	return cUnknownEnumerator;
    }
    
} // End class definition for EmergencyResponseType
