/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: cam */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.Libitscam_asn1 */
/* Created: Fri Apr 15 16:16:01 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsCam_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-dte/oss20212gen/LibItsCam_asn1.gen DENM.asn CAM.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;
import org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.*;

/**
 * Define the ASN1 Type YawRate from ASN1 Module DENM_PDU_Descriptions.
 * @see Sequence
 */

public class YawRate extends Sequence {
    
    /**
     * The default constructor.
     */
    public YawRate()
    {
    }
    
    /**
     * Construct with AbstractData components.
     */
    public YawRate(_1 yawDirection, INTEGER yawRateValue)
    {
	setYawDirection(yawDirection);
	setYawRateValue(yawRateValue);
    }
    
    /**
     * Construct with components.
     */
    public YawRate(_1 yawDirection, long yawRateValue)
    {
	this(yawDirection, new INTEGER(yawRateValue));
    }
    
    public void initComponents()
    {
	mComponents[0] = _1.left;
	mComponents[1] = new INTEGER();
    }
    
    // Instance initializer
    {
	mComponents = new AbstractData[2];
    }
    
    // Method to create a specific component instance
    public AbstractData createInstance(int index)
    {
	switch (index) {
	    case 0:
		return _1.left;
	    case 1:
		return new INTEGER();
	    default:
		throw new InternalError("AbstractCollection.createInstance()");
	}
	
    }
    
    
    // Methods for field "yawDirection"
    public _1 getYawDirection()
    {
	return (_1)mComponents[0];
    }
    
    public void setYawDirection(_1 yawDirection)
    {
	mComponents[0] = yawDirection;
    }
    
    
    
    /**
     * Define the ASN1 Type _1 from ASN1 Module DENM_PDU_Descriptions.
     * @see Enumerated
     */
    public static final class _1 extends Enumerated {
	
	/**
	 * The default constructor.
	 */
	private _1()
	{
	    super(cFirstNumber);
	}
	
	protected _1(long value)
	{
	    super(value);
	}
	
	// Named list definitions.
	public static final _1 left =
	    new _1(0);
	public static final _1 right =
	    new _1(1);
	private final static _1 cNamedNumbers[] = {
	     left, 
	     right
	};
	protected final static long cFirstNumber = 0;
	protected final static boolean cLinearNumbers = false;
	
	public Enumerated[] getNamedNumbers()
	{
	    return cNamedNumbers;
	}
	
	public boolean hasLinearNumbers()
	{
	    return cLinearNumbers;
	}
	
	public long getFirstNumber()
	{
	    return cFirstNumber;
	}
	
	public static _1 valueOf(long value)
	{
	    return (_1)left.lookupValue(value);
	}
	
	/**
	 * Initialize the type descriptor.
	 */
	private static final EnumeratedInfo c_typeinfo = new EnumeratedInfo (
	    new Tags (
		new short[] {
		    (short)0x8000
		}
	    ),
	    new QName (
		"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
		"YawRate$_1"
	    ),
	    new QName (
		"builtin",
		"ENUMERATED"
	    ),
	    12314,
	    null,
	    new MemberList (
		new MemberListElement[] {
		    new MemberListElement (
			"left",
			0
		    ),
		    new MemberListElement (
			"right",
			1
		    )
		}
	    ),
	    0,
	    left
	);
	
	/**
	 * Get the type descriptor (TypeInfo) of 'this' _1 object.
	 */
	public TypeInfo getTypeInfo()
	{
	    return c_typeinfo;
	}
	
	/**
	 * Get the static type descriptor (TypeInfo) of 'this' _1 object.
	 */
	public static TypeInfo getStaticTypeInfo()
	{
	    return c_typeinfo;
	}
	
    } // End class definition for _1

    // Methods for field "yawRateValue"
    public long getYawRateValue()
    {
	return ((INTEGER)mComponents[1]).longValue();
    }
    
    public void setYawRateValue(long yawRateValue)
    {
	setYawRateValue(new INTEGER(yawRateValue));
    }
    
    public void setYawRateValue(INTEGER yawRateValue)
    {
	mComponents[1] = yawRateValue;
    }
    
    
    /**
     * Initialize the type descriptor.
     */
    private static final SequenceInfo c_typeinfo = new SequenceInfo (
	new Tags (
	    new short[] {
		0x0010
	    }
	),
	new QName (
	    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
	    "YawRate"
	),
	new QName (
	    "DENM-PDU-Descriptions",
	    "YawRate"
	),
	12314,
	null,
	new Fields (
	    new SequenceFieldInfo[] {
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new QName (
			    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
			    "YawRate$_1"
			)
		    ),
		    "yawDirection",
		    0,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new IntegerInfo (
			    new Tags (
				new short[] {
				    (short)0x8001
				}
			    ),
			    new QName (
				"com.oss.asn1",
				"INTEGER"
			    ),
			    new QName (
				"builtin",
				"INTEGER"
			    ),
			    12314,
			    new ValueRangeConstraint (
				new AbstractBounds(
				    new com.oss.asn1.INTEGER(0), 
				    new com.oss.asn1.INTEGER(32765),
				    0
				)
			    ),
			    new Bounds (
				new java.lang.Long(0),
				new java.lang.Long(32765)
			    ),
			    null
			)
		    ),
		    "yawRateValue",
		    1,
		    2,
		    null
		)
	    }
	),
	0,
	new TagDecoders (
	    new TagDecoder[] {
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8000, 0)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8001, 1)
		    }
		)
	    }
	),
	0
    );
    
    /**
     * Get the type descriptor (TypeInfo) of 'this' YawRate object.
     */
    public TypeInfo getTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Get the static type descriptor (TypeInfo) of 'this' YawRate object.
     */
    public static TypeInfo getStaticTypeInfo()
    {
	return c_typeinfo;
    }
    
} // End class definition for YawRate
