/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: denm-pdu-descriptions */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.Libitsdenm_asn1 */
/* Created: Tue Jun 28 12:09:14 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -per -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-apache/oss6535gen/LibItsDenm_asn1.gen DENM-PDU-Descriptions.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;
import org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.*;

/**
 * Define the ASN1 Type PosConfidenceEllipse from ASN1 Module DENM_PDU_Descriptions.
 * @see Sequence
 */

public class PosConfidenceEllipse extends Sequence {
    
    /**
     * The default constructor.
     */
    public PosConfidenceEllipse()
    {
    }
    
    /**
     * Construct with AbstractData components.
     */
    public PosConfidenceEllipse(Confidence semiMajorConfidence, 
		    Confidence semiMinorConfidence, 
		    Direction semiMajorOrientation)
    {
	setSemiMajorConfidence(semiMajorConfidence);
	setSemiMinorConfidence(semiMinorConfidence);
	setSemiMajorOrientation(semiMajorOrientation);
    }
    
    public void initComponents()
    {
	mComponents[0] = new Confidence();
	mComponents[1] = new Confidence();
	mComponents[2] = new Direction();
    }
    
    // Instance initializer
    {
	mComponents = new AbstractData[3];
    }
    
    // Method to create a specific component instance
    public AbstractData createInstance(int index)
    {
	switch (index) {
	    case 0:
		return new Confidence();
	    case 1:
		return new Confidence();
	    case 2:
		return new Direction();
	    default:
		throw new InternalError("AbstractCollection.createInstance()");
	}
	
    }
    
    
    // Methods for field "semiMajorConfidence"
    public Confidence getSemiMajorConfidence()
    {
	return (Confidence)mComponents[0];
    }
    
    public void setSemiMajorConfidence(Confidence semiMajorConfidence)
    {
	mComponents[0] = semiMajorConfidence;
    }
    
    
    // Methods for field "semiMinorConfidence"
    public Confidence getSemiMinorConfidence()
    {
	return (Confidence)mComponents[1];
    }
    
    public void setSemiMinorConfidence(Confidence semiMinorConfidence)
    {
	mComponents[1] = semiMinorConfidence;
    }
    
    
    // Methods for field "semiMajorOrientation"
    public Direction getSemiMajorOrientation()
    {
	return (Direction)mComponents[2];
    }
    
    public void setSemiMajorOrientation(Direction semiMajorOrientation)
    {
	mComponents[2] = semiMajorOrientation;
    }
    
    
    /**
     * Initialize the type descriptor.
     */
    private static final SequenceInfo c_typeinfo = new SequenceInfo (
	new Tags (
	    new short[] {
		0x0010
	    }
	),
	new QName (
	    "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions",
	    "PosConfidenceEllipse"
	),
	new QName (
	    "DENM-PDU-Descriptions",
	    "PosConfidenceEllipse"
	),
	12314,
	null,
	new Fields (
	    new SequenceFieldInfo[] {
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new IntegerInfo (
			    new Tags (
				new short[] {
				    (short)0x8000
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions",
				"Confidence"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"Confidence"
			    ),
			    12314,
			    new ValueRangeConstraint (
				new AbstractBounds(
				    new Confidence(0), 
				    new Confidence(15),
				    0
				)
			    ),
			    new Bounds (
				new java.lang.Long(0),
				new java.lang.Long(15)
			    ),
			    null
			)
		    ),
		    "semiMajorConfidence",
		    0,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new IntegerInfo (
			    new Tags (
				new short[] {
				    (short)0x8001
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions",
				"Confidence"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"Confidence"
			    ),
			    12314,
			    new ValueRangeConstraint (
				new AbstractBounds(
				    new Confidence(0), 
				    new Confidence(15),
				    0
				)
			    ),
			    new Bounds (
				new java.lang.Long(0),
				new java.lang.Long(15)
			    ),
			    null
			)
		    ),
		    "semiMinorConfidence",
		    1,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new IntegerInfo (
			    new Tags (
				new short[] {
				    (short)0x8002
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions",
				"Direction"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"Direction"
			    ),
			    12314,
			    new ValueRangeConstraint (
				new AbstractBounds(
				    new Direction(0), 
				    new Direction(28799),
				    0
				)
			    ),
			    new Bounds (
				new java.lang.Long(0),
				new java.lang.Long(28799)
			    ),
			    new MemberList (
				new MemberListElement[] {
				    new MemberListElement (
					"north",
					0
				    ),
				    new MemberListElement (
					"east",
					7200
				    ),
				    new MemberListElement (
					"south",
					14400
				    ),
				    new MemberListElement (
					"west",
					21600
				    )
				}
			    )
			)
		    ),
		    "semiMajorOrientation",
		    2,
		    2,
		    null
		)
	    }
	),
	0,
	new TagDecoders (
	    new TagDecoder[] {
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8000, 0)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8001, 1)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8002, 2)
		    }
		)
	    }
	),
	0
    );
    
    /**
     * Get the type descriptor (TypeInfo) of 'this' PosConfidenceEllipse object.
     */
    public TypeInfo getTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Get the static type descriptor (TypeInfo) of 'this' PosConfidenceEllipse object.
     */
    public static TypeInfo getStaticTypeInfo()
    {
	return c_typeinfo;
    }
    
} // End class definition for PosConfidenceEllipse
